/* Estilos para las tarjetas de rutas */
.routes {
    display: flex;
    flex-wrap: wrap;
    gap: 1.5rem;
    justify-content: center;
    padding: 1rem 0;
}

.card {
    background-color: #fff;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    overflow: hidden;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    width: 100%;
    max-width: 300px; /* Ancho máximo de cada tarjeta */
    margin-bottom: 1rem;
}

.card:hover {
    transform: translateY(-5px);
    box-shadow: 0 6px 12px rgba(0, 0, 0, 0.15);
}

.stop-images {
    display: flex;
    gap: 0.5rem;
    padding: 1rem;
}

.stop-image {
    width: 5rem; /* Ancho fijo para que sean circulares */
    height: 5rem; /* Altura fija para que sean circulares */
    object-fit: cover;
    border-radius: 50%; /* Hace que las imágenes sean circulares */
}

.card h4 {
    font-size: 1.2rem;
    margin: 0 1rem 0.5rem;
    color: #333;
}

.card .description {
    font-size: 0.9rem;
    margin: 0 1rem 0.8rem;
    color: #666;
}

.card p {
    margin: 0 0.9rem 0 ;
    font-size: 0.8rem;
    color: #333;
    padding: 0 0 0.4rem;
}

.card .button {
    display: inline-block;
    margin: 1rem;
    padding: 0.5rem 1rem;
    background-color: #2edb53;
    color: #fff;
    text-decoration: none;
    border-radius: 5px;
    text-align: center;
    transition: background-color 0.3s ease;
}

.card .button:hover {
    background-color: #45a049;
}

.verified-icon {
    width: 16px;
    height: 16px;
    vertical-align: middle;
    margin-left: 0px;
}

/* Estilos responsive para las tarjetas */
@media (max-width: 768px) {
    .routes {
        gap: 1rem;
    }

    .card {
        max-width: 100%; /* Ocupar todo el ancho en pantallas pequeñas */
    }

    .stop-images {
        flex-direction: row; /* Apilar imágenes verticalmente */
    }

    .stop-image {
        height: 5rem; /* Aumentar la altura de las imágenes */
        width: 5rem; /* Ajustar el ancho para mantener la forma circular */
    }

    .card h4 {
        font-size: 1.1rem;
    }

    .card .description {
        font-size: 0.85rem;
    }

    .card p {
        font-size: 0.85rem;
    }
}

@media (max-width: 480px) {
    .card {
        margin-bottom: 1rem;
    }

    .stop-image {
        height: 5rem; /* Reducir la altura de las imágenes */
        width: 5rem; /* Ajustar el ancho para mantener la forma circular */
    }

    .card h4 {
        font-size: 1rem;
    }

    .card .description {
        font-size: 0.8rem;
    }

    .card p {
        font-size: 0.8rem;
    }
}